summaryrefslogtreecommitdiffstats
path: root/scripts/run_functional_tests
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/run_functional_tests')
-rwxr-xr-xscripts/run_functional_tests23
1 files changed, 22 insertions, 1 deletions
diff --git a/scripts/run_functional_tests b/scripts/run_functional_tests
index e3a5fa61..995b1b0d 100755
--- a/scripts/run_functional_tests
+++ b/scripts/run_functional_tests
@@ -1,6 +1,27 @@
#!/bin/bash
-source find_python.sh
+#source find_python.sh
cd automation/regression
+
+PYTHON=/usr/bin/python2
+PYTHON3=/auto/proj-pcube-b/apps/PL-b/tools/python3.4/bin/python3
+
+# Python 2
$PYTHON trex_unit_test.py --functional $@
+if [ $? -eq 0 ]; then
+ printf "\n$PYTHON test succeeded\n\n"
+else
+ printf "\n*** $PYTHON test failed\n\n"
+ exit -1
+fi
+
+# Python 3
+$PYTHON3 trex_unit_test.py --functional $@
+if [ $? -eq 0 ]; then
+ printf "\n$PYTHON3 test succeeded\n\n"
+else
+ printf "\n*** $PYTHON3 test failed\n\n"
+ exit -1
+fi
+